<template lang="pug">
div
	q-breadcrumbs(gutter="sm").q-mb-lg
		q-breadcrumbs-el(icon="home" to="/")
		q-breadcrumbs-el(label="Кухня" to="/kitchen")
		q-breadcrumbs-el(label="Типы блюд")

	.inner
		table-kitchen-dishTypes

</template>

<script lang="ts">
	import { defineComponent, onMounted } from 'vue'
	import TableKitchenDishTypes from '@/pages/kitchen/children/dishtypes/TableKitchenDishtypes.vue'
	import { useKitchenDishTypesStore } from '@/pages/kitchen/children/dishtypes/store'
	export default defineComponent({
		name: 'PageKitchenDishTypes',

		components: {
			TableKitchenDishTypes,
		},

		setup() {
			const store = useKitchenDishTypesStore()

			onMounted(() => {
				store.$reset()
			})
		},
	})
</script>
